> ## Documentation Index
> Fetch the complete documentation index at: https://www.halite-app.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Put Widget Route



## OpenAPI

````yaml /api/openapi.json put /api/admin/settings/widget
openapi: 3.1.0
info:
  title: Halite
  version: 0.1.0
servers: []
security: []
paths:
  /api/admin/settings/widget:
    put:
      tags:
        - settings
      summary: Put Widget Route
      operationId: put_widget_route_api_admin_settings_widget_put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WidgetSettingsIn'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SettingsOut'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WidgetSettingsIn:
      properties:
        widget_hide_dispatch:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Widget Hide Dispatch
        widget_hide_routine:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Widget Hide Routine
        widget_show_jobs:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Widget Show Jobs
        widget_show_keys:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Widget Show Keys
        widget_show_minions:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Widget Show Minions
        widget_event_count:
          anyOf:
            - type: integer
              maximum: 50
              minimum: 1
            - type: 'null'
          title: Widget Event Count
        widget_heartbeat_minutes:
          anyOf:
            - type: integer
              maximum: 1440
              minimum: 5
            - type: 'null'
          title: Widget Heartbeat Minutes
      additionalProperties: false
      type: object
      title: WidgetSettingsIn
    SettingsOut:
      properties:
        salt:
          $ref: '#/components/schemas/SaltSettingsOut'
        pollers:
          $ref: '#/components/schemas/PollerSettingsOut'
        widget:
          $ref: '#/components/schemas/WidgetSettingsOut'
        logging:
          $ref: '#/components/schemas/LoggingSettingsOut'
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - salt
        - pollers
        - widget
        - logging
        - updated_at
      title: SettingsOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SaltSettingsOut:
      properties:
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        username:
          anyOf:
            - type: string
            - type: 'null'
          title: Username
        password_set:
          type: boolean
          title: Password Set
        verify:
          type: boolean
          title: Verify
        eauth:
          type: string
          enum:
            - pam
            - sharedsecret
            - ldap
            - file
            - auto
          title: Eauth
      type: object
      required:
        - url
        - username
        - password_set
        - verify
        - eauth
      title: SaltSettingsOut
      description: |-
        Salt API connection settings. Password is never returned — only
        a boolean ``password_set`` so the UI can render "(set)" without
        exposing the value.
    PollerSettingsOut:
      properties:
        inventory_refresh_minutes:
          type: integer
          title: Inventory Refresh Minutes
        inventory_refresh_initial_delay_s:
          type: integer
          title: Inventory Refresh Initial Delay S
        fleet_poll_interval_seconds:
          type: integer
          title: Fleet Poll Interval Seconds
        jobs_poll_interval_seconds:
          type: integer
          title: Jobs Poll Interval Seconds
        minion_state_keys_interval_seconds:
          type: integer
          title: Minion State Keys Interval Seconds
        minion_state_presence_interval_seconds:
          type: integer
          title: Minion State Presence Interval Seconds
        minion_state_grains_interval_seconds:
          type: integer
          title: Minion State Grains Interval Seconds
        minion_state_initial_delay_seconds:
          type: integer
          title: Minion State Initial Delay Seconds
        event_stream_enabled:
          type: boolean
          title: Event Stream Enabled
        event_stream_retention_days:
          type: integer
          title: Event Stream Retention Days
      type: object
      required:
        - inventory_refresh_minutes
        - inventory_refresh_initial_delay_s
        - fleet_poll_interval_seconds
        - jobs_poll_interval_seconds
        - minion_state_keys_interval_seconds
        - minion_state_presence_interval_seconds
        - minion_state_grains_interval_seconds
        - minion_state_initial_delay_seconds
        - event_stream_enabled
        - event_stream_retention_days
      title: PollerSettingsOut
    WidgetSettingsOut:
      properties:
        widget_hide_dispatch:
          type: boolean
          title: Widget Hide Dispatch
        widget_hide_routine:
          type: boolean
          title: Widget Hide Routine
        widget_show_jobs:
          type: boolean
          title: Widget Show Jobs
        widget_show_keys:
          type: boolean
          title: Widget Show Keys
        widget_show_minions:
          type: boolean
          title: Widget Show Minions
        widget_event_count:
          type: integer
          title: Widget Event Count
        widget_heartbeat_minutes:
          type: integer
          title: Widget Heartbeat Minutes
      type: object
      required:
        - widget_hide_dispatch
        - widget_hide_routine
        - widget_show_jobs
        - widget_show_keys
        - widget_show_minions
        - widget_event_count
        - widget_heartbeat_minutes
      title: WidgetSettingsOut
    LoggingSettingsOut:
      properties:
        log_format:
          type: string
          enum:
            - json
            - text
          title: Log Format
      type: object
      required:
        - log_format
      title: LoggingSettingsOut
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````